{% extends 'base.html' %}

{% block title %}
    Книги
{% endblock %}

{% block content %}
    <div class="container mt-5">
        <div class="list-group">
            {% for book in book_list %}
            <a href="{% if user.is_superuser %}{%  url 'edit' id=book.id %}{% endif %}"
               class="list-group-item list-group-item-action flex-column align-items-start">
                <div class="d-flex w-100 justify-content-between">
                    <h5 class="mb-1">{{ book.name}}</h5>
                    <small>{{ book.count}} штук</small>
                </div>
                <p class="mb-1">Издательство: {{ book.publishing }} - {{ book.year_publication }} г.</p>
                <small>{{ book.price }} рублей</small>
            </a>
            {% endfor %}
            <br>
        </div>

        {% if user.is_superuser %}
            <a class="btn btn-primary" href="{% url 'create' %}" role="button">Добавить книгу</a>
        {% endif %}
    </div>
{% endblock %}